net.sourceforge.pmd.lang.rule

## Interface RuleChainVisitor

- All Known Implementing Classes:
    AbstractRuleChainVisitor, EcmascriptRuleChainVisitor, JavaRuleChainVisitor, JspRuleChainVisitor, XmlRuleChainVisitor

      public interface RuleChainVisitor

  The RuleChainVisitor understands how to visit an AST for a particular Language.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(RuleSet ruleSet, Rule rule)` Add the given rule to the visitor.
    `void` | `visitAll(List<Node> nodes, RuleContext ctx)` Visit all the given Nodes provided using the given RuleContext.

- - ### Method Detail

    - #### add

          void add(RuleSet ruleSet,
                 Rule rule)

      Add the given rule to the visitor.
      Parameters:
        `ruleSet` - The RuleSet to which the rule belongs.
        `rule` - The rule to add.

    - #### visitAll

          void visitAll(List<Node> nodes,
                      RuleContext ctx)

      Visit all the given Nodes provided using the given RuleContext. Every Rule added will visit the AST as appropriate.
      Parameters:
        `nodes` - The Nodes to visit.
        `ctx` - The RuleContext.

Copyright © 2002-2013 InfoEther. All Rights Reserved.